From 0179eb26269232832888d5a4b596af9cf1f7bb8b Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Mon, 15 Apr 2024 14:07:58 +0200
Subject: [PATCH v2 3/3] Remove unused function prototype

Commit aafc05de1bf5 removed StartSlotSyncWorker() but mistakenly left
the prototype in slotsync.h.  Fix by removing.

Reported-by: Alexander Lakhin <exclusion@gmail.com>
Discussion: https://postgr.es/m/3F577953-A29E-4722-98AD-2DA9EFF2CBB8@yesql.se
---
 src/include/replication/slotsync.h | 1 -
 1 file changed, 1 deletion(-)

diff --git a/src/include/replication/slotsync.h b/src/include/replication/slotsync.h
index 61e154b31b..e03c2a005a 100644
--- a/src/include/replication/slotsync.h
+++ b/src/include/replication/slotsync.h
@@ -27,7 +27,6 @@ extern char *CheckAndGetDbnameFromConninfo(void);
 extern bool ValidateSlotSyncParams(int elevel);
 
 extern void ReplSlotSyncWorkerMain(char *startup_data, size_t startup_data_len) pg_attribute_noreturn();
-extern int	StartSlotSyncWorker(void);
 
 extern void ShutDownSlotSync(void);
 extern bool SlotSyncWorkerCanRestart(void);
-- 
2.39.3 (Apple Git-146)

